Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Class ScopeMetadata

    java.lang.Object
      org.springframework.context.annotation.ScopeMetadata

    public class ScopeMetadata

extends Object

Describes scope characteristics for a Spring-managed bean including the scope name and the scoped-proxy behavior.

The default scope is "singleton", and the default is to not create scoped-proxies.

Since:
  2.5
Author:
  Mark Fisher
See Also:
  `ScopeMetadataResolver`, `ScopedProxyMode`

Constructor Summary
`ScopeMetadata()`

Method Summary
`ScopedProxyMode` | `getScopedProxyMode()` Get the proxy-mode to be applied to the scoped instance.
`String` | `getScopeName()` Get the name of the scope.
`void` | `setScopedProxyMode(ScopedProxyMode scopedProxyMode)` Set the proxy-mode to be applied to the scoped instance.
`void` | `setScopeName(String scopeName)` Set the name of the scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeMetadata

    public ScopeMetadata()

Method Detail

### getScopeName

    public String getScopeName()

  Get the name of the scope.

  Returns:
    said scope name

### setScopeName

    public void setScopeName(String scopeName)

  Set the name of the scope.

  Parameters:
    `scopeName` - said scope name

### getScopedProxyMode

    public ScopedProxyMode getScopedProxyMode()

  Get the proxy-mode to be applied to the scoped instance.

  Returns:
    said scoped-proxy mode

### setScopedProxyMode

    public void setScopedProxyMode(ScopedProxyMode scopedProxyMode)

  Set the proxy-mode to be applied to the scoped instance.

  Parameters:
    `scopedProxyMode` - said scoped-proxy mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.